[Armadeus-commitlog] armadeus branch, master, updated. release-3.4-117-g63e2c7a
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2011-05-04 12:44:01
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 63e2c7a68b1e3334c42f9bffd0e4c8314caf7cd4 (commit)
via 24e9dd5d004bd3c6ef3d9637f055aff5893edb6e (commit)
via 5e95576f2bf958f00be8253693a8d4ba897d7bf7 (commit)
via b606ba6fd9bbf80d2de8924a02bbc57082b7b508 (commit)
via 7e675519d4059cc9bfc592adcd82d9449bc91112 (commit)
via 21f488b458062d586c51f97b67fe59a540bc7078 (commit)
via fe0c4c2c6944be0abca92b4046f0a8055d30d208 (commit)
via b77f83d2f67f25b74ef9e9d27b265298129e7e93 (commit)
from b55dff83c825c9461cbafeda422bb426c4984767 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 63e2c7a68b1e3334c42f9bffd0e4c8314caf7cd4
Author: Julien Boibessot <jul...@ar...>
Date: Wed May 4 14:43:18 2011 +0200
[BUILDROOT] Add a custom config to test APF51 releases
commit 24e9dd5d004bd3c6ef3d9637f055aff5893edb6e
Merge: 5e95576f2bf958f00be8253693a8d4ba897d7bf7 b55dff83c825c9461cbafeda422bb426c4984767
Author: Julien Boibessot <jul...@ar...>
Date: Wed May 4 14:39:33 2011 +0200
Merge branch 'master' of ssh://artemys@armadeus.git.sourceforge.net/gitroot/armadeus/armadeus
commit 5e95576f2bf958f00be8253693a8d4ba897d7bf7
Author: Julien Boibessot <jul...@ar...>
Date: Wed May 4 14:38:56 2011 +0200
[LINUX][TOOLS] Update load_fpga helper script to handle APF51 particularities
commit b606ba6fd9bbf80d2de8924a02bbc57082b7b508
Author: Julien Boibessot <jul...@ar...>
Date: Wed May 4 14:37:34 2011 +0200
[LINUX] Makes fpgaloader compiles again from its directory
commit 7e675519d4059cc9bfc592adcd82d9449bc91112
Author: Julien Boibessot <jul...@ar...>
Date: Wed May 4 14:36:41 2011 +0200
[TEST] Update release test scripts to let them run on APF51 too.
commit 21f488b458062d586c51f97b67fe59a540bc7078
Author: Julien Boibessot <jul...@ar...>
Date: Tue May 3 15:31:50 2011 +0200
[LINUX] 2.6.38/APF51: Remove DS1374 driver and makes WM8311 RTC the default (static) one
commit fe0c4c2c6944be0abca92b4046f0a8055d30d208
Author: Julien Boibessot <jul...@ar...>
Date: Tue May 3 15:31:16 2011 +0200
[BUILDROOT] Backport ntp from latest BR
commit b77f83d2f67f25b74ef9e9d27b265298129e7e93
Author: Julien Boibessot <jul...@ar...>
Date: Tue May 3 12:44:52 2011 +0200
[BUILDROOT] Makes fbtest compiles without errors
-----------------------------------------------------------------------
Summary of changes:
.../{apf51_defconfig => apf51test_defconfig} | 61 +++++++++-
buildroot/package/armadeus/testsuite/testsuite.mk | 2 +-
.../armadeus/apf51/apf51-linux-2.6.38.config | 6 +-
.../054-ntp-allow_ntpd_selection_or_not.patch | 56 ---------
.../buildroot/2010.11/119-fbtest-add_package.patch | 31 ++++-
...rsion_4.2.5p3_and_fix_glibc_build_failure.patch | 60 ++++++++++
...add_ntpdate_option_and_make_ntpd_optional.patch | 124 ++++++++++++++++++++
...ly_install_init_script_if_ntpd_is_enabled.patch | 52 ++++++++
.../linux/modules/fpga/dev_tools/loader/Makefile | 2 +-
.../linux/modules/fpga/dev_tools/loader/load_fpga | 23 ++++-
target/test/test_adc.sh | 96 +++++++++++-----
target/test/test_audio.sh | 51 +++++++--
target/test/test_backlight.sh | 18 +++-
target/test/test_bluetooth.sh | 33 ++++--
target/test/test_dac.sh | 40 +++++--
target/test/test_fpga.sh | 57 +++++----
target/test/test_gpio.sh | 112 ++++++++++++------
target/test/test_helpers.sh | 15 ++-
target/test/test_pwm.sh | 37 ++++--
target/test/test_rs232.sh | 47 +++++---
target/test/test_touchscreen.sh | 23 +++-
target/test/test_usb_device.sh | 26 ++++-
target/test/test_usb_host.sh | 2 +-
target/test/test_watchdog.sh | 21 +++-
target/test/test_wifi.sh | 31 ++++--
25 files changed, 766 insertions(+), 260 deletions(-)
copy buildroot/configs/{apf51_defconfig => apf51test_defconfig} (93%)
delete mode 100644 patches/buildroot/2010.11/054-ntp-allow_ntpd_selection_or_not.patch
create mode 100644 patches/buildroot/2010.11/149b-ntp-bump_to_version_4.2.5p3_and_fix_glibc_build_failure.patch
create mode 100644 patches/buildroot/2010.11/149c-ntp-add_ntpdate_option_and_make_ntpd_optional.patch
create mode 100644 patches/buildroot/2010.11/149d-ntp-only_install_init_script_if_ntpd_is_enabled.patch
diff --git a/buildroot/configs/apf51_defconfig b/buildroot/configs/apf51test_defconfig
similarity index 93%
copy from buildroot/configs/apf51_defconfig
copy to buildroot/configs/apf51test_defconfig
index 32f3dca..f24b6bb 100644
--- a/buildroot/configs/apf51_defconfig
+++ b/buildroot/configs/apf51test_defconfig
@@ -251,15 +251,36 @@ BR2_PACKAGE_BUSYBOX_CONFIG="target/device/armadeus/busybox-$(BR2_BUSYBOX_VERSION
# Armadeus specific tools/utilities
#
# BR2_PACKAGE_AD9889CTRL is not set
-# BR2_PACKAGE_AS_DEVICES is not set
+BR2_PACKAGE_AS_DEVICES=y
+BR2_PACKAGE_AS_DEVICES_TESTS=y
+BR2_PACKAGE_AS_DEVICES_CPP=y
+BR2_PACKAGE_AS_DEVICES_TESTS_CPP=y
# BR2_PACKAGE_CH7024CTRL is not set
-# BR2_PACKAGE_ARMADEUS_DEMOS is not set
+BR2_PACKAGE_ARMADEUS_DEMOS=y
+
+#
+# Choose the demos to install
+#
+BR2_PACKAGE_ARMADEUS_DEMOS_ARMANOID=y
+BR2_PACKAGE_ARMADEUS_DEMOS_BACKLIGHT=y
+# BR2_PACKAGE_ARMADEUS_DEMOS_GPIO is not set
+BR2_PACKAGE_ARMADEUS_DEMOS_GPS=y
+BR2_PACKAGE_ARMADEUS_DEMOS_INPUT=y
+BR2_PACKAGE_ARMADEUS_DEMOS_MUSIC_PLAYER=y
+BR2_PACKAGE_ARMADEUS_DEMOS_CAPTURE=y
+BR2_PACKAGE_ARMADEUS_DEMOS_OSCILLO=y
+BR2_PACKAGE_ARMADEUS_DEMOS_SHOW_IMAGE=y
+BR2_PACKAGE_ARMADEUS_DEMOS_TEST_LCD=y
+
+#
+# DEMOS_MCP25020 requires package iproute2
+#
BR2_PACKAGE_FPGAREGS=y
BR2_PACKAGE_IMXREGS=y
# BR2_PACKAGE_IMXSSI is not set
# BR2_PACKAGE_MAX5821CTRL is not set
# BR2_PACKAGE_ARMADEUS_PPS_UTILITIES is not set
-# BR2_PACKAGE_ARMADEUS_TESTSUITE is not set
+BR2_PACKAGE_ARMADEUS_TESTSUITE=y
BR2_PACKAGE_TFP410CTRL=y
#
@@ -401,11 +422,35 @@ BR2_PACKAGE_STRACE=y
# BR2_PACKAGE_DIRECTFB is not set
# BR2_PACKAGE_FBDUMP is not set
# BR2_PACKAGE_FBGRAB is not set
-# BR2_PACKAGE_FBTEST is not set
+BR2_PACKAGE_FBTEST=y
BR2_PACKAGE_FBV=y
# BR2_PACKAGE_IMAGEMAGICK is not set
# BR2_PACKAGE_LINUX_FUSION is not set
-# BR2_PACKAGE_SDL is not set
+BR2_PACKAGE_SDL=y
+BR2_PACKAGE_SDL_FBCON=y
+BR2_PACKAGE_SDL_IMAGE=y
+
+#
+# SDL_image file format support
+#
+BR2_PACKAGE_SDL_IMAGE_BMP=y
+# BR2_PACKAGE_SDL_IMAGE_GIF is not set
+# BR2_PACKAGE_SDL_IMAGE_JPEG is not set
+# BR2_PACKAGE_SDL_IMAGE_LBM is not set
+# BR2_PACKAGE_SDL_IMAGE_PCX is not set
+# BR2_PACKAGE_SDL_IMAGE_PNG is not set
+# BR2_PACKAGE_SDL_IMAGE_PNM is not set
+# BR2_PACKAGE_SDL_IMAGE_TARGA is not set
+# BR2_PACKAGE_SDL_IMAGE_TIFF is not set
+# BR2_PACKAGE_SDL_IMAGE_XCF is not set
+# BR2_PACKAGE_SDL_IMAGE_XPM is not set
+# BR2_PACKAGE_SDL_IMAGE_XV is not set
+BR2_PACKAGE_SDL_MIXER=y
+# BR2_PACKAGE_SDL_SOUND is not set
+# BR2_PACKAGE_SDL_NET is not set
+BR2_PACKAGE_SDL_TTF=y
+# BR2_PACKAGE_SDL_GFX is not set
+# BR2_PACKAGE_SLIDESHOW is not set
#
# Demos
@@ -606,7 +651,7 @@ BR2_PACKAGE_ZLIB=y
# BR2_PACKAGE_ATK is not set
# BR2_PACKAGE_CAIRO is not set
# BR2_PACKAGE_FONTCONFIG is not set
-# BR2_PACKAGE_FREETYPE is not set
+BR2_PACKAGE_FREETYPE=y
BR2_PACKAGE_JPEG=y
# BR2_PACKAGE_LIBART is not set
# BR2_PACKAGE_GDK_PIXBUF is not set
@@ -665,6 +710,7 @@ BR2_PACKAGE_TSLIB=y
#
# BR2_PACKAGE_ENCHANT is not set
# BR2_PACKAGE_ICU is not set
+# BR2_PACKAGE_LIBICONV is not set
BR2_PACKAGE_NCURSES=y
BR2_PACKAGE_NCURSES_TARGET_PANEL=y
BR2_PACKAGE_NCURSES_TARGET_FORM=y
@@ -728,9 +774,10 @@ BR2_PACKAGE_IPROUTE2=y
# BR2_PACKAGE_NFS_UTILS is not set
# BR2_PACKAGE_NGIRCD is not set
BR2_PACKAGE_NTP=y
-# BR2_PACKAGE_NTP_NTPD is not set
# BR2_PACKAGE_NTP_SNTP is not set
# BR2_PACKAGE_NTP_NTP_KEYGEN is not set
+# BR2_PACKAGE_NTP_NTPD is not set
+BR2_PACKAGE_NTP_NTPDATE=y
# BR2_PACKAGE_NTP_NTPDC is not set
# BR2_PACKAGE_NTP_NTPQ is not set
# BR2_PACKAGE_NTP_TICKADJ is not set
diff --git a/buildroot/package/armadeus/testsuite/testsuite.mk b/buildroot/package/armadeus/testsuite/testsuite.mk
index 8c0e71a..358e406 100644
--- a/buildroot/package/armadeus/testsuite/testsuite.mk
+++ b/buildroot/package/armadeus/testsuite/testsuite.mk
@@ -4,7 +4,7 @@
#
#############################################################
-ARMADEUS-TESTSUITE_VER:=1.0
+ARMADEUS-TESTSUITE_VER:=1.1
ARMADEUS-TESTSUITE_SOURCE:=$(TOPDIR)/../target/test/
ARMADEUS-TESTSUITE_DIR:=$(BUILD_DIR)/armadeus-testsuite-$(ARMADEUS-TESTSUITE_VER)
ARMADEUS-TESTSUITE_CAT:=zcat
diff --git a/buildroot/target/device/armadeus/apf51/apf51-linux-2.6.38.config b/buildroot/target/device/armadeus/apf51/apf51-linux-2.6.38.config
index 7585d77..b324443 100644
--- a/buildroot/target/device/armadeus/apf51/apf51-linux-2.6.38.config
+++ b/buildroot/target/device/armadeus/apf51/apf51-linux-2.6.38.config
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Linux/arm 2.6.38.1 Kernel Configuration
-# Tue May 3 11:14:27 2011
+# Tue May 3 15:19:38 2011
#
CONFIG_ARM=y
CONFIG_SYS_SUPPORTS_APM_EMULATION=y
@@ -1782,7 +1782,7 @@ CONFIG_RTC_INTF_DEV=y
# I2C RTC drivers
#
# CONFIG_RTC_DRV_DS1307 is not set
-CONFIG_RTC_DRV_DS1374=y
+# CONFIG_RTC_DRV_DS1374 is not set
# CONFIG_RTC_DRV_DS1672 is not set
# CONFIG_RTC_DRV_DS3232 is not set
# CONFIG_RTC_DRV_MAX6900 is not set
@@ -1828,7 +1828,7 @@ CONFIG_RTC_MXC=m
# CONFIG_RTC_DRV_BQ4802 is not set
# CONFIG_RTC_DRV_RP5C01 is not set
# CONFIG_RTC_DRV_V3020 is not set
-CONFIG_RTC_DRV_WM831X=m
+CONFIG_RTC_DRV_WM831X=y
#
# on-CPU RTC drivers
diff --git a/patches/buildroot/2010.11/054-ntp-allow_ntpd_selection_or_not.patch b/patches/buildroot/2010.11/054-ntp-allow_ntpd_selection_or_not.patch
deleted file mode 100644
index a4df4f2..0000000
--- a/patches/buildroot/2010.11/054-ntp-allow_ntpd_selection_or_not.patch
+++ /dev/null
@@ -1,56 +0,0 @@
-Some systems might only want to install ntpdate without installing
-(and launching at each startup ntpd daemon). So makes the installation of
-ntpd selectable.
-
-Signed-off-by: Julien Boibessot <jul...@ar...>
-
-Would BR be interested ?
-
-Index: buildroot/package/ntp/Config.in
-===================================================================
---- buildroot.orig/package/ntp/Config.in 2011-01-27 15:22:57.000000000 +0100
-+++ buildroot/package/ntp/Config.in 2011-01-27 15:24:27.000000000 +0100
-@@ -6,6 +6,12 @@
-
- http://www.ntp.org/
-
-+config BR2_PACKAGE_NTP_NTPD
-+ bool "ntpd daemon"
-+ depends on BR2_PACKAGE_NTP
-+ help
-+ Install ntpd daemon
-+
- config BR2_PACKAGE_NTP_SNTP
- bool "sntp"
- depends on BR2_PACKAGE_NTP
-Index: buildroot/package/ntp/ntp.mk
-===================================================================
---- buildroot.orig/package/ntp/ntp.mk 2011-01-27 15:22:57.000000000 +0100
-+++ buildroot/package/ntp/ntp.mk 2011-01-27 15:24:27.000000000 +0100
-@@ -33,20 +33,20 @@
- NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_TICKADJ) += util/tickadj
-
- define NTP_INSTALL_TARGET_CMDS
-- install -m 755 $(@D)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd
- test -z "$(NTP_INSTALL_FILES_y)" || install -m 755 $(addprefix $(@D)/,$(NTP_INSTALL_FILES_y)) $(TARGET_DIR)/usr/bin/
-- install -m 755 package/ntp/ntp.sysvinit $(TARGET_DIR)/etc/init.d/S49ntp
-- @if [ ! -f $(TARGET_DIR)/etc/default/ntpd ]; then \
-+ test -z "$(BR2_PACKAGE_NTP_NTPD)" || install -m 755 $(@D)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd ; \
-+ install -m 755 package/ntp/ntp.sysvinit $(TARGET_DIR)/etc/init.d/S49ntp ; \
-+ if [ ! -f $(TARGET_DIR)/etc/default/ntpd ]; then \
- install -m 755 -d $(TARGET_DIR)/etc/default ; \
- install -m 644 package/ntp/ntpd.etc.default $(TARGET_DIR)/etc/default/ntpd ; \
- fi
- endef
-
- define NTP_UNINSTALL_TARGET_CMDS
-- rm $(TARGET_DIR)/usr/sbin/ntpd
-+ rm -f $(TARGET_DIR)/usr/sbin/ntpd
- rm -f $(addprefix $(TARGET_DIR)/usr/bin/,$(NTP_INSTALL_FILES_y))
-- rm $(TARGET_DIR)/etc/init.d/S49ntp
-- rm $(TARGET_DIR)/etc/default/ntpd
-+ rm -f $(TARGET_DIR)/etc/init.d/S49ntp
-+ rm -f $(TARGET_DIR)/etc/default/ntpd
- endef
-
- NTP_POST_PATCH_HOOKS += NTP_PATCH_FIXUPS
diff --git a/patches/buildroot/2010.11/119-fbtest-add_package.patch b/patches/buildroot/2010.11/119-fbtest-add_package.patch
index 1e8581e..c765a1e 100644
--- a/patches/buildroot/2010.11/119-fbtest-add_package.patch
+++ b/patches/buildroot/2010.11/119-fbtest-add_package.patch
@@ -4,8 +4,8 @@ Signed-off-by: Julien Boibessot <jul...@ar...>
Index: buildroot/package/Config.in
===================================================================
---- buildroot.orig/package/Config.in 2011-01-27 15:25:01.000000000 +0100
-+++ buildroot/package/Config.in 2011-01-27 15:25:03.000000000 +0100
+--- buildroot.orig/package/Config.in 2011-05-03 12:35:51.000000000 +0200
++++ buildroot/package/Config.in 2011-05-03 12:36:09.000000000 +0200
@@ -106,6 +106,7 @@
if BR2_PACKAGE_BUSYBOX_SHOW_OTHERS
source "package/fbset/Config.in"
@@ -17,7 +17,7 @@ Index: buildroot/package/Config.in
Index: buildroot/package/fbtest/Config.in
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ buildroot/package/fbtest/Config.in 2011-01-27 15:25:03.000000000 +0100
++++ buildroot/package/fbtest/Config.in 2011-05-03 12:35:51.000000000 +0200
@@ -0,0 +1,7 @@
+config BR2_PACKAGE_FBTEST
+ bool "fbtest"
@@ -29,7 +29,7 @@ Index: buildroot/package/fbtest/Config.in
Index: buildroot/package/fbtest/fbtest.mk
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ buildroot/package/fbtest/fbtest.mk 2011-01-27 15:25:03.000000000 +0100
++++ buildroot/package/fbtest/fbtest.mk 2011-05-03 12:35:51.000000000 +0200
@@ -0,0 +1,51 @@
+#############################################################
+#
@@ -85,7 +85,7 @@ Index: buildroot/package/fbtest/fbtest.mk
Index: buildroot/package/fbtest/fbtest-20041102-1-page-mask.patch
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ buildroot/package/fbtest/fbtest-20041102-1-page-mask.patch 2011-01-27 15:25:03.000000000 +0100
++++ buildroot/package/fbtest/fbtest-20041102-1-page-mask.patch 2011-05-03 12:35:51.000000000 +0200
@@ -0,0 +1,36 @@
+--- fbtest-20041102-1.org/fb.c 2003-04-04 14:07:55.000000000 +0200
++++ fbtest-20041102-1/fb.c 2009-05-20 10:32:32.000000000 +0200
@@ -126,7 +126,7 @@ Index: buildroot/package/fbtest/fbtest-20041102-1-page-mask.patch
Index: buildroot/package/fbtest/fbtest-20041102-1-exe-target-name-change.patch
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ buildroot/package/fbtest/fbtest-20041102-1-exe-target-name-change.patch 2011-01-27 15:25:03.000000000 +0100
++++ buildroot/package/fbtest/fbtest-20041102-1-exe-target-name-change.patch 2011-05-03 12:35:51.000000000 +0200
@@ -0,0 +1,11 @@
+--- fbtest-20041102-1.org/Makefile 2009-05-21 10:16:05.000000000 +0200
++++ fbtest-20041102-1/Makefile 2009-05-21 10:17:47.000000000 +0200
@@ -142,7 +142,7 @@ Index: buildroot/package/fbtest/fbtest-20041102-1-exe-target-name-change.patch
Index: buildroot/package/fbtest/fbtest-20041102-1-pnmtohex-libs-depends.patch
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ buildroot/package/fbtest/fbtest-20041102-1-pnmtohex-libs-depends.patch 2011-01-27 15:25:03.000000000 +0100
++++ buildroot/package/fbtest/fbtest-20041102-1-pnmtohex-libs-depends.patch 2011-05-03 12:35:51.000000000 +0200
@@ -0,0 +1,11 @@
+--- fbtest-20041102-1.org/pnmtohex/Makefile 2004-11-02 09:43:02.000000000 +0100
++++ fbtest-20041102-1/pnmtohex/Makefile 2005-11-16 22:24:08.406157582 +0100
@@ -155,3 +155,20 @@ Index: buildroot/package/fbtest/fbtest-20041102-1-pnmtohex-libs-depends.patch
+
+ include $(TOPDIR)/Rules.make
+
+Index: buildroot/package/fbtest/fbtest-20041102-correct_struct_fb_var_screeninfo.reserved_usage.patch
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ buildroot/package/fbtest/fbtest-20041102-1-correct_struct_fb_var_screeninfo.reserved_usage.patch 2011-05-03 12:40:49.000000000 +0200
+@@ -0,0 +1,12 @@
++struct fb_var_screeninfo has only 5 bytes available in "reserved[]" table.
++
++--- fbtest-20041102-1/fb.c 2011-05-03 11:53:28.000000000 +0200
+++++ fbtest-20041102-1.mod/fb.c 2011-05-03 12:30:34.000000000 +0200
++@@ -341,7 +341,6 @@
++ CHECK_CHANGE(reserved[2]);
++ CHECK_CHANGE(reserved[3]);
++ CHECK_CHANGE(reserved[4]);
++- CHECK_CHANGE(reserved[5]);
++
++ var_validate();
++ }
diff --git a/patches/buildroot/2010.11/149b-ntp-bump_to_version_4.2.5p3_and_fix_glibc_build_failure.patch b/patches/buildroot/2010.11/149b-ntp-bump_to_version_4.2.5p3_and_fix_glibc_build_failure.patch
new file mode 100644
index 0000000..0ed63c5
--- /dev/null
+++ b/patches/buildroot/2010.11/149b-ntp-bump_to_version_4.2.5p3_and_fix_glibc_build_failure.patch
@@ -0,0 +1,60 @@
+From 34c56e014ff44329416b609e1be208fd8e2ad4bf Mon Sep 17 00:00:00 2001
+From: Gustavo Zacarias <gu...@za...>
+Date: Thu, 27 Jan 2011 16:24:10 +0000
+Subject: ntp: bump to version 4.2.6p3 and fix glibc build failure
+
+Bump to version 4.2.6p3 and fix a build failure with external toolchains
+that use certain glibc versions as point out by speakman on IRC.
+
+Signed-off-by: Gustavo Zacarias <gu...@za...>
+Acked-by: Daniel Nyström <dan...@ti...>
+Signed-off-by: Peter Korsgaard <ja...@su...>
+---
+diff --git a/package/ntp/ntp-4.2.6_p2-adjtimex.patch b/package/ntp/ntp-adjtimex.patch
+index 40625fa..40625fa 100644
+--- a/package/ntp/ntp-4.2.6_p2-adjtimex.patch
++++ b/package/ntp/ntp-adjtimex.patch
+diff --git a/package/ntp/ntp-nano.patch b/package/ntp/ntp-nano.patch
+new file mode 100644
+index 0000000..d16046c
+--- a/dev/null
++++ b/package/ntp/ntp-nano.patch
+@@ -0,0 +1,23 @@
++Fixes issues with glibc header files, see
++http://bugs.gentoo.org/show_bug.cgi?id=270483
++
++Signed-off-by: Gustavo Zacarias <gu...@za...>
++
++diff -Nura ntp-4.2.6p2.orig/include/ntp_syscall.h ntp-4.2.6p2/include/ntp_syscall.h
++--- ntp-4.2.6p2.orig/include/ntp_syscall.h 2009-12-09 04:36:37.000000000 -0300
+++++ ntp-4.2.6p2/include/ntp_syscall.h 2011-01-27 13:09:05.072336628 -0300
++@@ -14,6 +14,14 @@
++ # include <sys/timex.h>
++ #endif
++
+++#if defined(ADJ_NANO) && !defined(MOD_NANO)
+++#define MOD_NANO ADJ_NANO
+++#endif
+++
+++#if defined(ADJ_TAI) && !defined(MOD_TAI)
+++#define MOD_TAI ADJ_TAI
+++#endif
+++
++ #ifndef NTP_SYSCALLS_LIBC
++ #ifdef NTP_SYSCALLS_STD
++ # define ntp_adjtime(t) syscall(SYS_ntp_adjtime, (t))
+diff --git a/package/ntp/ntp.mk b/package/ntp/ntp.mk
+index 51e3956..7e09b5e 100644
+--- a/package/ntp/ntp.mk
++++ b/package/ntp/ntp.mk
+@@ -3,7 +3,7 @@
+ # ntp
+ #
+ #############################################################
+-NTP_VERSION = 4.2.6p2
++NTP_VERSION = 4.2.6p3
+ NTP_SOURCE = ntp-$(NTP_VERSION).tar.gz
+ NTP_SITE = http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2
+
+--
+cgit v0.8.2.1
diff --git a/patches/buildroot/2010.11/149c-ntp-add_ntpdate_option_and_make_ntpd_optional.patch b/patches/buildroot/2010.11/149c-ntp-add_ntpdate_option_and_make_ntpd_optional.patch
new file mode 100644
index 0000000..44d5c2e
--- /dev/null
+++ b/patches/buildroot/2010.11/149c-ntp-add_ntpdate_option_and_make_ntpd_optional.patch
@@ -0,0 +1,124 @@
+From 14a971ab6c47324dd1422b1787c393702b2d475c Mon Sep 17 00:00:00 2001
+From: Gustavo Zacarias <gu...@za...>
+Date: Thu, 03 Feb 2011 20:45:57 +0000
+Subject: ntp: add ntpdate option
+
+Closes #2935
+
+Add ntpdate option and make ntpd optional.
+
+Based on incomplete patch by Frederik Pasch <fp...@go...>
+
+Also enable crypto when openssl is enabled.
+
+Signed-off-by: Gustavo Zacarias <gu...@za...>
+Signed-off-by: Peter Korsgaard <ja...@su...>
+---
+diff --git a/package/ntp/Config.in b/package/ntp/Config.in
+index afbf0d5..1b2ab4b 100644
+--- a/package/ntp/Config.in
++++ b/package/ntp/Config.in
+@@ -27,6 +27,22 @@ config BR2_PACKAGE_NTP_NTP_WAIT
+ (synchronized). This could be useful at boot time, to delay the
+ boot sequence until after "ntpd -g" has set the time.
+
++config BR2_PACKAGE_NTP_NTPD
++ bool "ntpd"
++ depends on BR2_PACKAGE_NTP
++ default y
++ help
++ ntpd is the time synchronization daemon keeping your local
++ system date and time in sync and optionally serving time and date
++ information on the network via the NTP protocol.
++
++config BR2_PACKAGE_NTP_NTPDATE
++ bool "ntpdate"
++ depends on BR2_PACKAGE_NTP
++ help
++ The ntpdate utility program is used to set the local date and time
++ from an NTP server given as an argument.
++
+ config BR2_PACKAGE_NTP_NTPDC
+ bool "ntpdc"
+ depends on BR2_PACKAGE_NTP
+diff --git a/package/ntp/TODO b/package/ntp/TODO
+deleted file mode 100644
+index ba6d7fd..0000000
+--- a/package/ntp/TODO
++++ b/dev/null
+@@ -1,33 +0,0 @@
+-The obsolete patch tries to clear "BUILT_SOURCE"
+-
+-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+-***************
+-*** 157,163 ****
+- bin_PROGRAMS = ntpdc
+- EXTRA_PROGRAMS = ntpdc-layout
+- EXTRA_DATA = check-layout
+-- BUILT_SOURCES = maybe-layout
+- INCLUDES = -I$(top_srcdir)/include
+- # LDADD might need RESLIB and ADJLIB
+- ntpdc_LDADD = version.o ../libntp/libntp.a @READLINE_LIBS@
+---- 157,163 ----
+- bin_PROGRAMS = ntpdc
+- EXTRA_PROGRAMS = ntpdc-layout
+- EXTRA_DATA = check-layout
+-+ BUILT_SOURCES =
+- INCLUDES = -I$(top_srcdir)/include
+- # LDADD might need RESLIB and ADJLIB
+- ntpdc_LDADD = version.o ../libntp/libntp.a @READLINE_LIBS@
+-------------------------------------------------------------
+-The current tarball contains a lot more:
+-
+-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+-AUTOMAKE_OPTIONS = ../util/ansi2knr
+-EXTRA_DATA = check-layout
+-BUILT_SOURCES = @MAKE_CHECK_LAYOUT@ ntpdc-opts.c ntpdc-opts.h ntpdc.1 \
+- ntpdc-opts.texi ntpdc-opts.menu
+-AM_CPPFLAGS = -I$(top_srcdir)/include $(LIBOPTS_CFLAGS)
+-# LDADD might need RESLIB and ADJLIB
+-------------------------------------------------------------
+-
+-Do we need to remove "@MAKE_CHECK_LAYOUT@" in a new patch?
+diff --git a/package/ntp/ntp.mk b/package/ntp/ntp.mk
+index 7e09b5e..bca5d6e 100644
+--- a/package/ntp/ntp.mk
++++ b/package/ntp/ntp.mk
+@@ -15,25 +15,32 @@ endif
+
+ NTP_CONF_OPT = --with-shared \
+ --program-transform-name=s,,, \
+- --without-crypto \
+ --disable-tickadj \
+ --without-ntpsnmpd
+
++ifeq ($(BR2_PACKAGE_OPENSSL),y)
++NTP_CONF_OPT += --with-crypto
++NTP_DEPENDENCIES += openssl
++else
++NTP_CONF_OPT += --without-crypto
++endif
++
+ define NTP_PATCH_FIXUPS
+ $(SED) "s,^#if.*__GLIBC__.*_BSD_SOURCE.*$$,#if 0," $(@D)/ntpd/refclock_pcf.c
+ $(SED) '/[[:space:](]rindex[[:space:]]*(/s/[[:space:]]*rindex[[:space:]]*(/ strrchr(/g' $(@D)/ntpd/*.c
+ endef
+
+-NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_SNTP) += sntp/sntp
+ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTP_KEYGEN) += util/ntp-keygen
+ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTP_WAIT) += scripts/ntp-wait
++NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPDATE) += ntpdate/ntpdate
+ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPDC) += ntpdc/ntpdc
+ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPQ) += ntpq/ntpq
+ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPTRACE) += scripts/ntptrace
++NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_SNTP) += sntp/sntp
+ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_TICKADJ) += util/tickadj
+
+ define NTP_INSTALL_TARGET_CMDS
+- install -m 755 $(@D)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd
++ $(if $(BR2_PACKAGE_NTP_NTPD), install -m 755 $(@D)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd)
+ test -z "$(NTP_INSTALL_FILES_y)" || install -m 755 $(addprefix $(@D)/,$(NTP_INSTALL_FILES_y)) $(TARGET_DIR)/usr/bin/
+ install -m 755 package/ntp/ntp.sysvinit $(TARGET_DIR)/etc/init.d/S49ntp
+ @if [ ! -f $(TARGET_DIR)/etc/default/ntpd ]; then \
+--
+cgit v0.8.2.1
diff --git a/patches/buildroot/2010.11/149d-ntp-only_install_init_script_if_ntpd_is_enabled.patch b/patches/buildroot/2010.11/149d-ntp-only_install_init_script_if_ntpd_is_enabled.patch
new file mode 100644
index 0000000..2a90097
--- /dev/null
+++ b/patches/buildroot/2010.11/149d-ntp-only_install_init_script_if_ntpd_is_enabled.patch
@@ -0,0 +1,52 @@
+From d0352edeea629349a0ce497e53cb6ce34feacac0 Mon Sep 17 00:00:00 2001
+From: Peter Korsgaard <ja...@su...>
+Date: Fri, 04 Feb 2011 19:00:35 +0000
+Subject: ntp: only install init script if ntpd is enabled
+
+Further more:
+- Rename to S49ntp to match other packages
+- Fix start target to run ntpd, and only try ntpdate if available
+
+Signed-off-by: Peter Korsgaard <ja...@su...>
+---
+diff --git a/package/ntp/ntp.sysvinit b/package/ntp/S49ntp
+index 38e60b0..7b929e9 100755
+--- a/package/ntp/ntp.sysvinit
++++ b/package/ntp/S49ntp
+@@ -20,16 +20,15 @@ fi
+
+ case "$1" in
+ start)
+- if test x$NTPDATE = xyes ; then
++ if [ -x $NTPDATE_BIN ] ; then
+ echo -n "Getting initial time via ntp"
+ $NTPDATE_BIN $NTPDATE_OPTS $NTPSERVERS > /dev/null 2>&1
+ echo "."
+ fi
+- if test x$NTPD = xyes ; then
+- echo -n "Starting $DESC: $NAME"
+- start-stop-daemon -S -q -x $DAEMON
+- echo "."
+- fi
++
++ echo -n "Starting $DESC: $NAME"
++ start-stop-daemon -S -q -x $DAEMON
++ echo "."
+ ;;
+ stop) echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon -K -q -n $NAME
+diff --git a/package/ntp/ntp.mk b/package/ntp/ntp.mk
+index bca5d6e..72e462e 100644
+--- a/package/ntp/ntp.mk
++++ b/package/ntp/ntp.mk
+@@ -42,7 +42,7 @@ NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_TICKADJ) += util/tickadj
+ define NTP_INSTALL_TARGET_CMDS
+ $(if $(BR2_PACKAGE_NTP_NTPD), install -m 755 $(@D)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd)
+ test -z "$(NTP_INSTALL_FILES_y)" || install -m 755 $(addprefix $(@D)/,$(NTP_INSTALL_FILES_y)) $(TARGET_DIR)/usr/bin/
+- install -m 755 package/ntp/ntp.sysvinit $(TARGET_DIR)/etc/init.d/S49ntp
++ $(if $(BR2_PACKAGE_NTP_NTPD), install -m 755 package/ntp/S49ntp $(TARGET_DIR)/etc/init.d/S49ntp)
+ @if [ ! -f $(TARGET_DIR)/etc/default/ntpd ]; then \
+ install -m 755 -d $(TARGET_DIR)/etc/default ; \
+ install -m 644 package/ntp/ntpd.etc.default $(TARGET_DIR)/etc/default/ntpd ; \
+--
+cgit v0.8.2.1
diff --git a/target/linux/modules/fpga/dev_tools/loader/Makefile b/target/linux/modules/fpga/dev_tools/loader/Makefile
index 422fcc1..882f307 100644
--- a/target/linux/modules/fpga/dev_tools/loader/Makefile
+++ b/target/linux/modules/fpga/dev_tools/loader/Makefile
@@ -25,7 +25,7 @@ KDIR := $(ARMADEUS_LINUX_DIR)
PWD := $(shell pwd)
# Armadeus custom drivers common targets (default, clean, etc...)
-include ../Makefile.in
+include ../../../Makefile.in
endif
diff --git a/target/linux/modules/fpga/dev_tools/loader/load_fpga b/target/linux/modules/fpga/dev_tools/loader/load_fpga
index b31278e..5ee1350 100755
--- a/target/linux/modules/fpga/dev_tools/loader/load_fpga
+++ b/target/linux/modules/fpga/dev_tools/loader/load_fpga
@@ -1,4 +1,7 @@
#!/bin/sh
+#
+# Loads APFxx's FPGA by using fpgaloader driver
+#
if [ "$1" == "" ] || [ ! -f "$1" ]; then
echo "Usage: `basename $0` <filename>"
@@ -24,7 +27,25 @@ while [ ! -c /dev/fpgaloader ]; do
fi
done
-dd if=$1 of=/dev/fpgaloader
+PLATFORM=`cat /etc/machine`
+if [ "$PLATFORM" == "APF51" ]; then
+ # On APF51 FPGA loading shares NAND bus so it's safer to load
+ # firmware from RAM
+ BITFILE=/tmp/tmp_bitfile
+ cp $1 $BITFILE
+ if [ "$?" != 0 ]; then
+ echo "Error while making bitfile copy in RAM !"
+ exit 1
+ fi
+else
+ BITFILE=$1
+fi
+
+dd if=$BITFILE of=/dev/fpgaloader
+
+if [ "$PLATFORM" == "APF51" ]; then
+ rm $BITFILE # delete copy in RAM
+fi
exit 0
diff --git a/target/test/test_adc.sh b/target/test/test_adc.sh
index b20de49..495be82 100755
--- a/target/test/test_adc.sh
+++ b/target/test/test_adc.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -15,44 +15,84 @@ source ./test_helpers.sh
source ./test_env.sh
-test_setup_apf9328()
+test_setup()
{
- ask_user "Please connect EOC (ADC pin 11 & CSI pin 12) and CVNST (ADC pin 10 & CSI pin 9), then press ENTER"
- ADC_SPI_SYS="/sys/bus/spi/devices/spi1.0"
+ if [ "$1" == "APF9328" ]; then
+ ask_user "Please connect EOC (ADC pin 11 & CSI pin 12) and CVNST (ADC pin 10 & CSI pin 9), then press ENTER"
+ modprobe max1027
+ ADC_SPI_SYS="/sys/bus/spi/devices/spi1.0"
+ elif [ "$1" == "APF27" ]; then
+ modprobe max1027
+ ADC_SPI_SYS="/sys/bus/spi/devices/spi0.0"
+ elif [ "$1" == "APF51" ]; then
+ modprobe hwmon
+ modprobe as1531
+ else
+ echo "Platform not supported by this test"
+ fi
+ return $?
}
-test_setup_apf27()
+test_running_max1027()
{
- ADC_SPI_SYS="/sys/bus/spi/devices/spi0.0"
+ # Slow mode
+ let set=0x62; echo $set > $ADC_SPI_SYS/setup
+ let conv=0xf9; echo $conv > $ADC_SPI_SYS/conversion
+ echo "WAIT" > /dev/null
+ temp=`cat $ADC_SPI_SYS/temp1_input`
+ AIN0=`cat $ADC_SPI_SYS/in0_input`
+ if [ "$temp" != "0" ] && [ "$AIN0" != "0" ]; then
+ echo "Temp: $temp m°C"
+ echo "AIN0: $AIN0"
+ else
+ exit_failed
+ fi
+ # Fast mode
+ loadmax.sh
+ let set=0xb1; echo $set > $ADC_SPI_SYS/conversion
+ sleep 1
+ let set=0x48; echo $set > $ADC_SPI_SYS/setup
+ let set=0x20; echo $set > $ADC_SPI_SYS/averaging
+ echo "Reading in fast mode:"
+ dd if=/dev/max1027/AIN0 bs=2 count=10 | hexdump
+}
+
+test_running_as1531()
+{
+ ask_user "Connect (jumper) pin 11 (AIN1) and 13 (GND) of ADC connector, then press ENTER"
+ VALUE=`cat /sys/bus/spi/devices/spi0.0/in1_input`
+ if [ "$VALUE" -gt 3 ]; then
+ exit_failed
+ fi
+ ask_user "Connect (jumper) pin 5 (REF) and 6 (AIN6) of ADC connector, then press ENTER"
+ VALUE=`cat /sys/bus/spi/devices/spi0.0/in6_input`
+ if [ "$VALUE" -lt 2497 ]; then
+ exit_failed
+ fi
+ return 0
+}
+
+test_running()
+{
+ if [ "$1" == "APF9328" ]; then
+ test_running_max1027
+ elif [ "$1" == "APF27" ]; then
+ test_running_max1027
+ elif [ "$1" == "APF51" ]; then
+ test_running_as1531
+ else
+ echo "Platform not supported by this test"
+ fi
+ return $?
}
test_ADC()
{
show_test_banner "ADC"
- modprobe max1027
+ execute_for_target test_setup
if [ "$?" == 0 ]; then
- execute_for_target test_setup_apf9328 test_setup_apf27
- # Slow mode
- let set=0x62; echo $set > $ADC_SPI_SYS/setup
- let conv=0xf9; echo $conv > $ADC_SPI_SYS/conversion
- echo "WAIT" > /dev/null
- temp=`cat $ADC_SPI_SYS/temp1_input`
- AIN0=`cat $ADC_SPI_SYS/in0_input`
- if [ "$temp" != "0" ] && [ "$AIN0" != "0" ]; then
- echo "Temp: $temp m°C"
- echo "AIN0: $AIN0"
- else
- exit_failed
- fi
- # Fast mode
- loadmax.sh
- let set=0xb1; echo $set > $ADC_SPI_SYS/conversion
- sleep 1
- let set=0x48; echo $set > $ADC_SPI_SYS/setup
- let set=0x20; echo $set > $ADC_SPI_SYS/averaging
- echo "Reading in fast mode:"
- dd if=/dev/max1027/AIN0 bs=2 count=10 | hexdump
+ execute_for_target test_running
if [ "$?" == 0 ]; then
echo_test_ok
else
diff --git a/target/test/test_audio.sh b/target/test/test_audio.sh
index dbc0c21..6b85973 100755
--- a/target/test/test_audio.sh
+++ b/target/test/test_audio.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -16,22 +16,54 @@ source ./test_env.sh
TEMP_FILE=/tmp/toto.wav
-end_of_test_for_apf9328()
+test_init()
{
- echo_test_ok
- exit 0
+ if [ "$1" == "APF9328" ]; then
+ modprobe snd-imx-alsa-tsc2102
+ elif [ "$1" == "APF27" ]; then
+ modprobe snd-imx-alsa-tsc2102
+ elif [ "$1" == "APF51" ]; then
+ modprobe snd-soc-imx-fiq
+ modprobe snd-soc-wm8960
+ modprobe snd-soc-apf51dev-wm8960
+ amixer cset numid=40 on
+ amixer cset numid=37 on
+ else
+ echo "Platform not supported by this test"
+ fi
+}
+
+end_of_test_for_apf9328_and_continue_for_others()
+{
+ if [ "$1" == "APF9328" ]; then
+ echo_test_ok
+ exit 0
+ elif [ "$1" == "APF27" ]; then
+ true
+ elif [ "$1" == "APF51" ]; then
+ true
+ else
+ echo "Platform not supported by this test"
+ fi
}
-continue_for_apf27()
+test_audio_in_init()
{
- true
+ if [ "$1" == "APF27" ]; then
+ amixer cset numid=7 on
+ amixer cset numid=6 30
+ elif [ "$1" == "APF51" ]; then
+ echo
+ else
+ echo "Platform not supported by this test"
+ fi
}
test_audio()
{
show_test_banner "Sound / ALSA"
- modprobe snd-imx-alsa-tsc2102
+ execute_for_target test_init
if [ "$?" != 0 ]; then
exit_failed
fi
@@ -52,11 +84,10 @@ test_audio()
fi
fi
- execute_for_target end_of_test_for_apf9328 continue_for_apf27
+ execute_for_target end_of_test_for_apf9328_and_continue_for_others
ask_user "Please connect a microphone to the Audio In connector (bottom one on APF27). Then press ENTER."
- amixer cset numid=7 on
- amixer cset numid=6 30
+ execute_for_target test_audio_in_init
ask_user "You will now have to speak in the MIC. The sampled sound will then be played back. Press ENTER when ready to speak."
# Stereo 16bits @ 16KHz
arecord -r 16000 -f S16_LE -c 2 $TEMP_FILE & pid=$!
diff --git a/target/test/test_backlight.sh b/target/test/test_backlight.sh
index 6590b37..095b201 100755
--- a/target/test/test_backlight.sh
+++ b/target/test/test_backlight.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008-2010 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -15,6 +15,18 @@ source ./test_helpers.sh
SYS_DIR=/sys/class/backlight/imx-bl
+load_driver()
+{
+ if [ "$1" == "APF9328" ] || [ "$1" == "APF27" ]; then
+ modprobe imx_bl
+ elif [ "$1" == "APF51" ]; then
+ echo "Not supported yet"
+ exit 0
+ else
+ echo "Platform not supported by this test"
+ fi
+}
+
test_backlight()
{
show_test_banner "Backlight"
@@ -23,10 +35,10 @@ test_backlight()
clear > /dev/tty1
cat /dev/zero | tr '\0' '\377' | dd of=/dev/fb0 bs=1K count=750 2>/dev/null
- modprobe imx_bl
+ execute_for_target load_driver
if [ "$?" != 0 ]; then
echo "module not found"
- exit 1
+ exit_failed
fi
current=`cat $SYS_DIR/actual_brightness`
echo "Current brightness level: $current / 256"
diff --git a/target/test/test_bluetooth.sh b/target/test/test_bluetooth.sh
index 0c9b3b7..bb72bdb 100755
--- a/target/test/test_bluetooth.sh
+++ b/target/test/test_bluetooth.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2010 The Armadeus Project
+# Copyright (C) 2010-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,27 +14,42 @@
source ./test_helpers.sh
#source ./test_env.sh
+attach_bt_chip()
+{
+ if [ "$1" == "APF27" ]; then
+ /usr/sbin/hciattach -s 921600 ttySMX5 csr 921600
+ elif [ "$1" == "APF51" ]; then
+ /usr/sbin/hciattach -s 921600 ttymxc1 csr 921600
+ else
+ echo "Platform not supported by this test"
+ fi
+}
+
test_bluetooth()
{
show_test_banner "Bluetooth"
- modprobe btusb
- if [ "$?" != 0 ]; then
- echo "Unable to launch USB<->Bluetooth layer !!"
- exit_failed
+ ask_user "Do you want to test USB or board integrated Bluetooth ? (u/I)"
+ if [ "$response" == "u" ]; then
+ modprobe btusb
+ if [ "$?" != 0 ]; then
+ echo "Unable to launch USB<->Bluetooth layer !!"
+ exit_failed
+ fi
+ ask_user "Please insert your USB dongle, then press ENTER"
+ else
+ execute_for_target attach_bt_chip
fi
- ask_user "Please insert your USB dongle, then press ENTER"
-
hciconfig hci0 up piscan
sleep 1
hciconfig
- ask_user "Do you see your dongle ? (Y/n)"
+ ask_user "Do you see your Bluetooth interface ? (Y/n)"
if [ "$response" == "n" ] || [ "$response" == "no" ]; then
exit_failed
fi
- ask_user "Be sure that your Host has its Bluetooth interface up and running (hciconfig hci0 up piscan), then press ENTER"
+ ask_user "Be sure that your Host PC has its Bluetooth interface up and running (hciconfig hci0 up piscan), then press ENTER"
MY_BTADDR=`hcitool dev | grep hci0 | cut -f 3`
if [ "$MY_BTADDR" == "" ]; then
diff --git a/target/test/test_dac.sh b/target/test/test_dac.sh
index fac0370..068f7b2 100755
--- a/target/test/test_dac.sh
+++ b/target/test/test_dac.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -12,23 +12,41 @@
#
source ./test_helpers.sh
-source ./test_env.sh
+#source ./test_env.sh
+do_test()
+{
+ if [ "$1" == "APF9328" ] || [ "$1" == "APF27" ]; then
+ setDAC AB 500
+ if [ "$?" == 0 ]; then
+ sleep 2
+ setDAC AB 0
+ echo_test_ok
+ else
+ echo "Hardware not found !"
+ fi
+ elif [ "$1" == "APF51" ]; then
+ modprobe mcp49x2
+ cd /sys/bus/spi/devices/spi0.1/device0
+ ls
+ echo 500 > out0_raw
+ echo 500 > out1_raw
+ sleep 2
+ echo 0 > out0_raw
+ echo 0 > out1_raw
+ echo_test_ok
+ else
+ echo "Platform not supported by this test"
+ fi
+}
test_DAC()
{
show_test_banner "DAC"
- ask_user "This test is more probant with vumeters. Press ENTER."
+ ask_user "This test is more probant with vumeters. Connect them and press ENTER."
- setDAC AB 500
- if [ "$?" == 0 ]; then
- sleep 2
- setDAC AB 0
- echo_test_ok
- else
- echo "Hardware not found !"
- fi
+ execute_for_target do_test
}
test_DAC
diff --git a/target/test/test_fpga.sh b/target/test/test_fpga.sh
index 3a7dc1f..c351b45 100755
--- a/target/test/test_fpga.sh
+++ b/target/test/test_fpga.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -15,38 +15,47 @@ source ./test_helpers.sh
source ./test_env.sh
-load_led_apf9328()
+load_led()
{
- load_fpga ./data/fpga/blinking_led_apf9328_200k.bit
- RES=$?
-}
-
-load_led_apf27()
-{
- ask_user "Please connect pins 1 & 39 of J20 connector (3,3V supply for FPGA bank)\nThen press enter"
- load_fpga ./data/fpga/blinking_led_apf27_200k.bit
- RES=$?
-}
-
-load_button_apf9328()
-{
- load_fpga ./data/fpga/wishbone_example_apf9328_200k.bit
- RES=$?
+ if [ "$1" == "APF9328" ]; then
+ load_fpga ./data/fpga/blinking_led_apf9328_200k.bit
+ RES=$?
+ elif [ "$1" == "APF27" ]; then
+ ask_user "Please connect pins 1 & 39 of J20 connector (3,3V supply for FPGA bank)\nThen press enter"
+ load_fpga ./data/fpga/blinking_led_apf27_200k.bit
+ RES=$?
+ elif [ "$1" == "APF51" ]; then
+ ask_user "Please power on FPGA bank XXX\nThen press enter"
+ load_fpga ./data/fpga/blinking_led_apf51.bit
+ RES=$?
+ else
+ echo "Platform not supported by this test"
+ fi
}
-load_button_apf27()
+load_button()
{
- echo "I hope you have connected pins 1 & 39 of J20"
- load_fpga ./data/fpga/wishbone_example_apf27_200k.bit
- RES=$?
+ if [ "$1" == "APF9328" ]; then
+ load_fpga ./data/fpga/wishbone_example_apf9328_200k.bit
+ RES=$?
+ elif [ "$1" == "APF27" ]; then
+ echo "I hope you have connected pins 1 & 39 of J20"
+ load_fpga ./data/fpga/wishbone_example_apf27_200k.bit
+ RES=$?
+ elif [ "$1" == "APF51" ]; then
+ echo "I hope you have powered up Bank XXX"
+ load_fpga ./data/fpga/wishbone_example_apf51.bit
+ RES=$?
+ else
+ echo "Platform not supported by this test"
+ fi
}
-
test_fpga_load()
{
show_test_banner "FPGA loading"
- execute_for_target load_led_apf9328 load_led_apf27
+ execute_for_target load_led
if [ "$RES" == 0 ]; then
ask_user "Did you see the FPGA's LED blinking ? (y/N)"
@@ -62,7 +71,7 @@ test_fpga_it()
{
show_test_banner "FPGA interrupts"
- execute_for_target load_button_apf9328 load_button_apf27
+ execute_for_target load_button
if [ "$RES" != 0 ]; then
exit_failed
fi
diff --git a/target/test/test_gpio.sh b/target/test/test_gpio.sh
index f7497c5..49798dc 100755
--- a/target/test/test_gpio.sh
+++ b/target/test/test_gpio.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008-2009 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,69 +14,105 @@
source ./test_helpers.sh
source /usr/bin/gpio_helpers.sh
-
-blink_led_apf27()
+load_module()
{
- LED_NAME="D14"
- gpio_mode PF14 1
- for i in `seq 0 5`; do
- gpio_set_value PF14 0
- usleep 500000
- gpio_set_value PF14 1
- usleep 500000
- done
+ if [ "$1" == "APF9328" ] || [ "$1" == "APF27" ]; then
+ loadgpio.sh
+ if [ "$?" != 0 ] || [ ! -c "$GPIO_DEV_DIR/portA" ]; then
+ echo "Module failed to load"
+ exit_failed
+ fi
+ elif [ "$1" == "APF51" ]; then
+ echo
+ else
+ echo "Platform not supported by this test"
+ fi
}
-blink_led_apf9328()
+unload_module()
{
- LED_NAME="a"
- gpio_mode PD31 1
- for i in `seq 0 5`; do
- gpio_set_value PD31 1
- usleep 500000
- gpio_set_value PD31 0
- usleep 500000
- done
+ if [ "$1" == "APF9328" ] || [ "$1" == "APF27" ]; then
+ rmmod gpio
+ elif [ "$1" == "APF51" ]; then
+ echo
+ else
+ echo "Platform not supported by this test"
+ fi
}
-check_button_apf27()
+blink_led()
{
- gpio_mode PF13 0 # input
- setbit /proc/driver/gpio/portFirq 13 1
- echo "Press 2 times on S1 button"
- /usr/bin/testsuite/testbutton /dev/gpio/PF13 3
- if [ "$?" != 0 ]; then
- exit_failed
+ if [ "$1" == "APF9328" ]; then
+ LED_NAME="a"
+ gpio_mode PD31 1
+ for i in `seq 0 5`; do
+ gpio_set_value PD31 1
+ usleep 500000
+ gpio_set_value PD31 0
+ usleep 500000
+ done
+ elif [ "$1" == "APF27" ]; then
+ LED_NAME="D14"
+ gpio_mode PF14 1
+ for i in `seq 0 5`; do
+ gpio_set_value PF14 0
+ usleep 500000
+ gpio_set_value PF14 1
+ usleep 500000
+ done
+ elif [ "$1" == "APF51" ]; then
+ LED="2"
+ echo $LED > /sys/class/gpio/export
+ ls /sys/class/gpio/gpio$LED/
+ echo out > /sys/class/gpio/gpio$LED/direction
+ for i in `seq 0 5`; do
+ echo 1 > /sys/class/gpio/gpio$LED/value
+ usleep 500000
+ echo 0 > /sys/class/gpio/gpio$LED/value
+ usleep 500000
+ done
+ else
+ echo "Platform not supported by this test"
fi
}
-check_button_apf9328()
+check_button()
{
- echo "TBDL"
-}
+ if [ "$1" == "APF9328" ]; then
+ echo "TBDL"
+ elif [ "$1" == "APF27" ]; then
+ gpio_mode PF13 0 # input
+ setbit /proc/driver/gpio/portFirq 13 1
+ echo "Press 2 times on S1 button"
+ /usr/bin/testsuite/testbutton /dev/gpio/PF13 3
+ if [ "$?" != 0 ]; then
+ exit_failed
+ fi
+ elif [ "$1" == "APF51" ]; then
+ echo "TBDL"
+ else
+ echo "Platform not supported by this test"
+ fi
+}
test_led_gpio()
{
show_test_banner "GPIO (LED)"
- loadgpio.sh
- if [ "$?" != 0 ] || [ ! -c "$GPIO_DEV_DIR/portA" ]; then
- echo "Module failed to load"
- exit_failed
- fi
+ execute_for_target load_module
ask_user "I will now blink a LED on your board. Press ENTER to continue"
- execute_for_target blink_led_apf9328 blink_led_apf27
+ execute_for_target blink_led
ask_user "Did you see "$LED_NAME" LED blinking ? (y/N)"
if [ "$response" != "y" ] && [ "$response" != "yes" ]; then
exit_failed
fi
- execute_for_target check_button_apf9328 check_button_apf27
+ execute_for_target check_button
- rmmod gpio
+ execute_for_target unload_module
echo_test_ok
exit 0
}
diff --git a/target/test/test_helpers.sh b/target/test/test_helpers.sh
index 4cce91a..2f524ae 100644
--- a/target/test/test_helpers.sh
+++ b/target/test/test_helpers.sh
@@ -141,12 +141,15 @@ wake_up_lcd()
execute_for_target()
{
BOARD=`cat /etc/machine`
- if [ "$BOARD" == "APF9328" ] && [ "$1" != "" ]; then
- $1
- fi
- if [ "$BOARD" == "APF27" ] && [ "$2" != "" ]; then
- $2
- fi
+ if [ "$1" != "" ]; then
+ if [ "$BOARD" == "APF9328" ]; then
+ $1 $BOARD
+ elif [ "$BOARD" == "APF27" ]; then
+ $1 $BOARD
+ elif [ "$BOARD" == "APF51" ]; then
+ $1 $BOARD
+ fi
+ fi
}
# $1: name of the file in $TEMP_DIR
diff --git a/target/test/test_pwm.sh b/target/test/test_pwm.sh
index 1f72d99..23d957a 100755
--- a/target/test/test_pwm.sh
+++ b/target/test/test_pwm.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2010 The Armadeus Project
+# Copyright (C) 2010-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,28 +25,41 @@ FREQUENCY="100 200 300 400 500 600 700 800"
DUTY="001 250 333 500 666 750 999"
SLEEP_TIME=4
-
-prepare_test_for_apf9328()
+load_driver()
{
- ask_user "Please connect your oscilloscope probe to pin 4 of X21/Timer connector (GND is on pin 8), then press ENTER when ready"
+ if [ "$1" == "APF9328" ] || [ "$1" == "APF27" ]; then
+ modprobe imx-pwm
+ if [ ! -d "$SYS_DIR" ]; then
+ echo "can't find /sys/ interface"
+ exit_failed
+ fi
+ elif [ "$1" == "APF51" ]; then
+ echo "TBDL"
+ else
+ echo "Platform not supported by this test"
+ fi
}
-prepare_test_for_apf27()
+prepare_test()
{
- ask_user "Please connect your oscilloscope probe to pin 4 of J22 connector (GND is on pin 6 or 40), then press ENTER when ready"
+ if [ "$1" == "APF9328" ]; then
+ ask_user "Please connect your oscilloscope probe to pin 4 of X21/Timer connector (GND is on pin 8), then press ENTER when ready"
+ elif [ "$1" == "APF27" ]; then
+ ask_user "Please connect your oscilloscope probe to pin 4 of J22 connector (GND is on pin 6 or 40), then press ENTER when ready"
+ elif [ "$1" == "APF51" ]; then
+ ask_user "Please connect your oscilloscope probe to pin 6 of J35 (Extension) connector (GND is on pin 9 or 10), then press ENTER when ready"
+ else
+ echo "Platform not supported by this test"
+ fi
}
test_pwm()
{
show_test_banner "PWM"
- modprobe imx-pwm
- if [ ! -d "$SYS_DIR" ]; then
- echo "can't find /sys/ interface"
- exit_failed
- fi
+ execute_for_target load_driver
- execute_for_target prepare_test_for_apf9328 prepare_test_for_apf27
+ execute_for_target prepare_test
ask_user "Press ENTER when ready to check PWM output (frequencies starting at 100Hz)"
echo 1 > $SYS_DIR/active
diff --git a/target/test/test_rs232.sh b/target/test/test_rs232.sh
index 016061a..059cdfe 100755
--- a/target/test/test_rs232.sh
+++ b/target/test/test_rs232.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -15,27 +15,30 @@ source ./test_helpers.sh
source ./test_env.sh
-echo_jumper_help_apf9328()
+echo_jumper_help()
{
- echo " (Pin 1 & 3 of UART connector)"
-}
-
-echo_jumper_help_apf27()
-{
- echo " (Pin 2 & 3 of J21 connector (between RS and J8))"
+ if [ "$1" == "APF9328" ]; then
+ echo " (Pin 1 & 3 of UART connector)"
+ elif [ "$1" == "APF27" ]; then
+ echo " (Pin 2 & 3 of J21 connector (between RS and J8))"
+ elif [ "$1" == "APF51" ]; then
+ echo " (Pin 2 & 3 of RS-232 connector)"
+ else
+ echo "Platform not supported by this test"
+ fi
}
test_serial_port()
{
show_test_banner "Serial port $1"
- SERIAL_DEVICE="/dev/ttySMX$1"
+ SERIAL_DEVICE="$SERIAL_DEVICES$1"
TEMP_FILE="/tmp/serial_test$1"
echo "$SERIAL_DEVICE"
stty -F $SERIAL_DEVICE -echo
if [ "$?" == 0 ]; then
echo -n "Connect loopback jumper"
- execute_for_target echo_jumper_help_apf9328 echo_jumper_help_apf27
+ execute_for_target echo_jumper_help
ask_user "and then press <ENTER>"
# Configure port as raw
stty -F $SERIAL_DEVICE raw
@@ -61,22 +64,28 @@ test_serial_port()
fi
}
-echo_apf9328_ports()
+echo_available_ports()
{
- echo " Available one: [ 1 ]"
-}
-
-echo_apf27_ports()
-{
- echo " Available one: [ 2 ]"
+ if [ "$1" == "APF9328" ]; then
+ echo " Available one: [ 1 ]"
+ SERIAL_DEVICES="/dev/ttySMX"
+ elif [ "$1" == "APF27" ]; then
+ echo " Available one: [ 2 ]"
+ SERIAL_DEVICES="/dev/ttySMX"
+ elif [ "$1" == "APF51" ]; then
+ echo " Available one: [ 0 ]"
+ SERIAL_DEVICES="/dev/ttymxc"
+ else
+ echo "Platform not supported by this test"
+ fi
}
show_test_banner "Serial ports"
PORT="$1"
if [ "$1" == "" ]; then
echo "Please give the port number to test !"
- execute_for_target echo_apf9328_ports echo_apf27_ports
- read PORT
+ execute_for_target echo_available_ports
+ read -p "> " PORT
[ "$PORT" == "" ] && exit_failed
fi
diff --git a/target/test/test_touchscreen.sh b/target/test/test_touchscreen.sh
index 42d35f6..6ad0015 100755
--- a/target/test/test_touchscreen.sh
+++ b/target/test/test_touchscreen.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,16 +14,29 @@
source ./test_helpers.sh
source ./test_env.sh
+load_driver()
+{
+ if [ "$1" == "APF9328" ] || [ "$1" == "APF27" ]; then
+ modprobe tsc2102_ts
+ sleep 1
+ dmesg | tail | grep "TSC210x Touchscreen driver initialized"
+ RES="$?"
+ elif [ "$1" == "APF51" ]; then
+ modprobe wm831x-ts
+ dmesg | tail | grep WM831x
+ RES="$?"
+ else
+ echo "Platform not supported by this test"
+ fi
+}
test_touchscreen()
{
show_test_banner "Touchscreen"
- modprobe tsc2102_ts
- sleep 1
+ execute_for_target load_driver
- dmesg | tail | grep "TSC210x Touchscreen driver initialized"
- if [ "$?" != 0 ]; then
+ if [ "$RES" != 0 ]; then
echo "Hardware not found !"
exit_failed
fi
diff --git a/target/test/test_usb_device.sh b/target/test/test_usb_device.sh
index 69267d5..1a46107 100755
--- a/target/test/test_usb_device.sh
+++ b/target/test/test_usb_device.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,11 +14,28 @@
source ./test_helpers.sh
source ./test_env.sh
+check_driver()
+{
+ if [ "$1" == "APF9328" ]; then
+ dmesg | grep "imx_udc"
+ STORAGE_DRIVER=g_file_storage
+ elif [ "$1" == "APF27" ]; then
+ echo "APF27 do not support USB device mode"
+ exit 0
+ elif [ "$1" == "APF51" ]; then
+ dmesg | grep "USB" | grep "Device"
+ STORAGE_DRIVER=g_mass_storage
+ else
+ echo "Platform not supported by this test"
+ fi
+
+}
+
test_usb_gadget()
{
show_test_banner "USB gadget"
BACKING_FILE="/tmp/backing_file.gz"
- dmesg | grep "imx_udc"
+ execute_for_target check_driver
if [ "$?" == 0 ]; then
udhcpc -i eth0
echo "Downloading test file from Internet"
@@ -27,12 +44,13 @@ test_usb_gadget()
exit_failed
fi
gunzip $BACKING_FILE
- modprobe g_file_storage file=/tmp/backing_file
+ modprobe $STORAGE_DRIVER file=/tmp/backing_file
sleep 1
ask_user "Please connect your board to your PC with a USB cable and see if a mass storage\ndevice is detected. Try to open the image inside the device.\n Do you see something interesting ? ;-) (y/N)"
test_result=$response
+
ask_user "Please unmount mass storage device of your PC, unplug USB cable and then press ENTER"
- rmmod g_file_storage
+ rmmod $STORAGE_DRIVER
rm /tmp/backing_file
if [ "$test_result" == "y" ] || [ "$test_result" == "yes" ]; then
echo_test_ok
diff --git a/target/test/test_usb_host.sh b/target/test/test_usb_host.sh
index ac1ffaf..0ff3231 100755
--- a/target/test/test_usb_host.sh
+++ b/target/test/test_usb_host.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/target/test/test_watchdog.sh b/target/test/test_watchdog.sh
index 92f5c38..51f0208 100755
--- a/target/test/test_watchdog.sh
+++ b/target/test/test_watchdog.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008 The Armadeus Project
+# Copyright (C) 2008-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -17,6 +17,21 @@ source ./test_env.sh
WATCHDOG_DEV="/dev/watchdog"
SEC=5
+load_driver()
+{
+ if [ "$1" == "APF9328" ]; then
+ modprobe imx-wdt timeout=$SEC
+ RES=$?
+ sleep 1
+ elif [ "$1" == "APF27" ] || [ "$1" == "APF51" ]; then
+ modprobe imx2_wdt timeout=$SEC
+ RES=$?
+ sleep 1
+ else
+ echo "Platform not supported by this test"
+ fi
+}
+
test_watchdog()
{
show_test_banner "Watchdog"
@@ -26,9 +41,7 @@ test_watchdog()
exit_failed
fi
- modprobe imx-wdt timeout=$SEC
- RES=$?
- sleep 1
+ execute_for_target load_driver
if [ "$RES" != 0 ] || [ ! -c "$WATCHDOG_DEV" ] ; then
echo "Module failed to load"
exit_failed
diff --git a/target/test/test_wifi.sh b/target/test/test_wifi.sh
index 3f2a2c9..c55f8f7 100755
--- a/target/test/test_wifi.sh
+++ b/target/test/test_wifi.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2010 The Armadeus Project
+# Copyright (C) 2010-2011 The Armadeus Project - ARMadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,12 +14,22 @@
source ./test_helpers.sh
source ./test_env.sh
-TEMP_FILE=/tmp/toto.wav
AP_LIST_FILE=/tmp/ap.list
DEFAULT_WEP_KEY="01234567890123456789012345"
FILE_TO_LOAD="test_wifi.bin"
#SERVER_IP set in test_env.sh
+get_interface_name()
+{
+ if [ "$1" == "APF27" ]; then
+ WLAN_IF=eth1
+ elif [ "$1" == "APF51" ]; then
+ WLAN_IF=wlan0
+ else
+ echo "Platform not supported by this test"
+ exit 0
+ fi
+}
test_wifi()
{
@@ -27,9 +37,9 @@ test_wifi()
ask_user "This test assumes that you run a private WiFi network (WEP shared key security). Your Access Point (AP) should be connected to your Host. Press ENTER to continue"
- ask_user "Do you have an APW wireless extension board ? (Y/n)"
+ ask_user "Do you have an APW wireless extension board or an APF51Dev ? (Y/n)"
if [ "$response" == "n" ] || [ "$response" == "no" ]; then
- echo "Only the APW is supported by this test yet !!"
+ echo "Currently, only the APW & the APF51Dev are supported by this test !!"
exit_failed
fi
@@ -38,7 +48,8 @@ test_wifi()
echo "Failed to load Libertas driver !!"
exit_failed
fi
- ifconfig eth1 up
+ execute_for_target get_interface_name
+ ifconfig $WLAN_IF up
if [ "$?" != 0 ]; then
echo "WLAN interface not available !!"
exit_failed
@@ -47,7 +58,7 @@ test_wifi()
# get available APs (remove hidden one)
echo -e "\n Scanning available APs"
- iwlist eth1 scan | grep ESSID > $AP_LIST_FILE
+ iwlist $WLAN_IF scan | grep ESSID > $AP_LIST_FILE
AP_LIST=`cat $AP_LIST_FILE | grep -v \"\" | cut -d : -f 2 | sed -e 's/"//g'`
# ask which one to use
@@ -61,16 +72,16 @@ test_wifi()
WEP_KEY=$response
fi
echo "Trying to get associated with $AP (key=$WEP_KEY)"
- iwconfig eth1 key $WEP_KEY
- iwconfig eth1 essid $AP
+ iwconfig $WLAN_IF key $WEP_KEY
+ iwconfig $WLAN_IF essid $AP
sleep 3
- associated=`iwconfig eth1 | grep "Access Point" | grep -c -v "Not-Associated"`
+ associated=`iwconfig $WLAN_IF | grep "Access Point" | grep -c -v "Not-Associated"`
if [ "$associated" != 1 ]; then
echo "Failed to get associated with $AP"
exit_failed
fi
echo -e "\n Asking for an IP address"
- udhcpc -i eth1
+ udhcpc -i $WLAN_IF
ask_user "I will now download $FILE_TO_LOAD from your TFTP server ($SERVER_IP).\nBe sure that the file and its correspondig md5sum is available. Then press ENTER."
echo -e "\n Pinging server:"
ping -c 3 $SERVER_IP
hooks/post-receive
--
armadeus
|